package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene1_Agenda extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;

    attribute opacity3: Number;
    attribute opacity4: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene1_Agenda.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene1_Agenda.opacity0 = 0;
attribute Scene1_Agenda.opacity1 = 0;
attribute Scene1_Agenda.opacity2 = 0;
attribute Scene1_Agenda.opacity3 = 0;
attribute Scene1_Agenda.opacity4 = 0;

attribute Scene1_Agenda.leafs =  [
    Leaf {
        node: Group {
            content: [
                Circle {
                    cx: 265
                    cy: 124
                    radius: 180
	             opacity: bind opacity0
                    fill: Color {red: 0xCC, green: 0xFF, blue: 0xFF }
                },
                Circle {
                    cx: 660
                    cy: 361
                    radius: 180
	             opacity: bind opacity1
                    fill: Color {red: 0xFF, green: 0xCC, blue: 0xFF }
                },
                Circle {
                    cx: 423
                    cy: 656
                    radius: 180
	             opacity: bind opacity2
                    fill: Color {red: 0xFF, green: 0xDD, blue: 0xDD }
                },
                Text {
                    x: 211
                    y: 110
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity3
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Open"
                },
                Text {
                    x: 310
                    y: 315
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity3
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Future"
                },
                Text {
                    x: 380
                    y: 630
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity3
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Rich"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 5000) {
                opacity0 = fadein(unit, 0.1, 0.5);
                opacity1 = fadein(unit, 0.2, 0.6);
                opacity2 = fadein(unit, 0.3, 0.7);
                opacity3 = fadein(unit, 0.5, 1.0);
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 460
                    y: 110
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity4
                    font: Font {face: ARIAL_BLACK, style: BOLD, size: 80}
                    content: "Community"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 500) {
                opacity4 = unit;
            }
        }
    }
];